DeploymentQuery (Axis API)
Keywords: org.apache.axis.management.jmx.DeploymentQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.management.jmx
Class DeploymentQuery

    java.lang.Object
      org.apache.axis.management.jmx.DeploymentQuery

All Implemented Interfaces:
  DeploymentQueryMBean

public class DeploymentQuery
extends java.lang.Object
implements DeploymentQueryMBean

Constructor Summary
`DeploymentQuery()`

Method Summary
`WSDDGlobalConfiguration` | `findGlobalConfig()` get the global configuration
`WSDDHandler` | `findHandler(java.lang.String qname)` find a specific handler
`WSDDHandler[]` | `findHandlers()` get all handlers
`WSDDService` | `findService(java.lang.String qname)` fina a specific service
`WSDDService[]` | `findServices()` get all services
`WSDDTransport` | `findTransport(java.lang.String qname)` find a specific transport
`WSDDTransport[]` | `findTransports()` return all transports
`java.lang.String[]` | `listServices()` List all registered services

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentQuery

    public DeploymentQuery()

Method Detail

### findGlobalConfig

    public WSDDGlobalConfiguration findGlobalConfig()

  get the global configuration

  Specified by:
    `findGlobalConfig` in interface `DeploymentQueryMBean`
  Returns:

### findHandler

    public WSDDHandler findHandler(java.lang.String qname)

  find a specific handler

  Specified by:
    `findHandler` in interface `DeploymentQueryMBean`
  Parameters:
    `qname` -
  Returns:

### findHandlers

    public WSDDHandler[] findHandlers()

  get all handlers

  Specified by:
    `findHandlers` in interface `DeploymentQueryMBean`
  Returns:

### findService

    public WSDDService findService(java.lang.String qname)

  fina a specific service

  Specified by:
    `findService` in interface `DeploymentQueryMBean`
  Parameters:
    `qname` -
  Returns:

### findServices

    public WSDDService[] findServices()

  get all services

  Specified by:
    `findServices` in interface `DeploymentQueryMBean`
  Returns:

### findTransport

    public WSDDTransport findTransport(java.lang.String qname)

  find a specific transport

  Specified by:
    `findTransport` in interface `DeploymentQueryMBean`
  Parameters:
    `qname` -
  Returns:

### findTransports

    public WSDDTransport[] findTransports()

  return all transports

  Specified by:
    `findTransports` in interface `DeploymentQueryMBean`
  Returns:

### listServices

    public java.lang.String[] listServices()
                                    throws AxisFault,
                                           ConfigurationException

  List all registered services

  Specified by:
    `listServices` in interface `DeploymentQueryMBean`
  Returns:
    Map of Services (SOAPService objects, Key is the ServiceName)
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.